<!--
    Pheniqs : PHilology ENcoder wIth Quality Statistics
    Copyright (C) 2018  Lior Galanti
    NYU Center for Genetics and System Biology

    Author: Lior Galanti <lior.galanti@nyu.edu>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-->

# Standard Illumina sample decoding with the python API

This is an example of processing a dual index paired end run performed by a NovaSeq 6000.
The flowcell has 4 lanes each with 4 segments containing 151, 8, 8, and 151 cycles.

**All shell commands mentioned bellow are executed in this folder.**

## Commands to generate

    pheniqs-illumina-api.py -v debug basecall \
    --output-dir . \
    --fastq-compression-level 3 \
    181014_A00534_0024_AH7LT2DSXX

    chmod +x H7LT2DSXX_basecall.sh
    ./H7LT2DSXX_basecall.sh

    pheniqs-illumina-api.py -v debug core \
    --base-input . \
    --base-output . \
    --no-input-npf \
    181014_A00534_0024_AH7LT2DSXX

    pheniqs-illumina-api.py -v debug multiplex \
    --confidence 0.95 \
    --noise 0.05 \
    181014_A00534_0024_AH7LT2DSXX

    pheniqs-illumina-api.py -v debug estimate \
    --confidence 0.95 \
    --noise 0.05 \
    181014_A00534_0024_AH7LT2DSXX

    pheniqs-illumina-api.py -v debug interleave \
    181014_A00534_0024_AH7LT2DSXX

    pheniqs mux --config H7LT2DSXX_l01_estimate.json
    pheniqs mux --config H7LT2DSXX_l02_estimate.json
    pheniqs mux --config H7LT2DSXX_l03_estimate.json
    pheniqs mux --config H7LT2DSXX_l04_estimate.json

    pheniqs-prior-api.py \
    --report H7LT2DSXX_l01_estimate_report.json \
    --configuration H7LT2DSXX_l01_sample.json \
    > H7LT2DSXX_l01_adjusted.json

    pheniqs-prior-api.py \
    --report H7LT2DSXX_l02_estimate_report.json \
    --configuration H7LT2DSXX_l02_sample.json \
    > H7LT2DSXX_l02_adjusted.json

    pheniqs-prior-api.py \
    --report H7LT2DSXX_l03_estimate_report.json \
    --configuration H7LT2DSXX_l03_sample.json \
    > H7LT2DSXX_l03_adjusted.json

    pheniqs-prior-api.py \
    --report H7LT2DSXX_l04_estimate_report.json \
    --configuration H7LT2DSXX_l04_sample.json \
    > H7LT2DSXX_l04_adjusted.json

    pheniqs mux --config H7LT2DSXX_l01_adjusted.json
    pheniqs mux --config H7LT2DSXX_l02_adjusted.json
    pheniqs mux --config H7LT2DSXX_l03_adjusted.json
    pheniqs mux --config H7LT2DSXX_l04_adjusted.json

## Use case generated files

 * H7LT2DSXX_basecall.sh
 * H7LT2DSXX_basecall_sample_sheet.csv

 Generated by

```
pheniqs-illumina-api.py basecall 181014_A00534_0024_AH7LT2DSXX
```

 * H7LT2DSXX_core.json

 Generated by

```
pheniqs-illumina-api.py core 181014_A00534_0024_AH7LT2DSXX
```

 * H7LT2DSXX_l01_sample.json
 * H7LT2DSXX_l02_sample.json
 * H7LT2DSXX_l03_sample.json
 * H7LT2DSXX_l04_sample.json

 Generated by

```
pheniqs-illumina-api.py multiplex 181014_A00534_0024_AH7LT2DSXX
```

 * H7LT2DSXX_l01_estimate.json
 * H7LT2DSXX_l02_estimate.json
 * H7LT2DSXX_l03_estimate.json
 * H7LT2DSXX_l04_estimate.json

 Generated by

```
pheniqs-illumina-api.py estimate 181014_A00534_0024_AH7LT2DSXX
```

* H7LT2DSXX_l01_interleaved.json
* H7LT2DSXX_l02_interleaved.json
* H7LT2DSXX_l03_interleaved.json
* H7LT2DSXX_l04_interleaved.json

Generated by

```
pheniqs-illumina-api.py interleave 181014_A00534_0024_AH7LT2DSXX
```
